'use strict';

/* For ESLint: List any global identifiers used in this file below */
/* global browser, BG */

const supportInit = function () {
  if ((typeof navigator.language !== 'undefined')
        && navigator.language
        && navigator.language.substring(0, 2) !== 'en') {
    $('.english-only').css('display', 'inline');
  } else {
    $('.english-only').css('display', 'none');
  }

  // Show debug info
  $('#debug').click(() => {
    BG.getDebugInfo((theDebugInfo) => {
      const debugStr = `${theDebugInfo.filter_lists}\n\n${theDebugInfo.settings}\n\n==== Custom Filters ====\n${theDebugInfo.custom_filters}\n\n==== Other Info ====\n${theDebugInfo.other_info}`;
      $('#debugInfo').text(debugStr).css({ width: '450px', height: '100px' }).fadeIn();
    });
  });

  // disable the context menu, so that user's don't open the link's on new tabs, windows, etc.
  document.getElementById('debug').oncontextmenu = function debugDisableContextMenu() {
    return false;
  };

  // remove the href='#' attribute from any anchor tags, this oddly disables the middle click issues
  $("a[href='#']").removeAttr('href').css('cursor', 'pointer');

  // disable the context menu, so that user's don't open the link's on new tabs, windows, etc.
  document.getElementById('report').oncontextmenu = function reportDisableContextMenu() {
    return false;
  };

  // Show the changelog
  $('#whatsnew a').click(() => {
    try {
      const xhr = new XMLHttpRequest();
      xhr.open('GET', browser.extension.getURL('CHANGELOG.txt'));
      xhr.onload = function onloadFunction() {
        const object = xhr.responseText;
        $('#changes').text(object).css({ width: '670px', height: '200px' }).fadeIn();
      };
      xhr.send();
    } catch (ex) {
      // file not found, send back empty object;
    }
  });
};
